#
# spec file for package tree-sitter-python
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name python
Name:           tree-sitter-python
Version:        0.23.6
Release:        bp160.1.7
Summary:        Python grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter/tree-sitter-python
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name}

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install
%treesitter_devel_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/lib%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%treesitter_devel_package

%changelog
* Tue Dec 31 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.5:
  * build(npm): update deps
- update to 0.23.6:
  * feat(highlights): highlight decorator names as a function
  * feat: add left and right fields to type_alias_statement
  * feat: allow type in generic types
  * feat: add fields in except_clause
  * build(npm): bump deps
  * chore: regenerate
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.23.4:
  * ci(publish): add attestations and generate parser
- update to 0.23.3:
  * build: update bindings
- update to 0.23.2:
  * chore: regenerate
  * build: update bindings
  * fix: correct test
- update to 0.23.1:
  * build: update bindings
- update to 0.23.0:
  * build: regenerate and update bindings
  * fix(go): correct test
  * fix: move go.mod to root dir
  * fix: allow "not in" & "is not" to be queried
  * fix: give match the same priority as normal identifiers
  * fix: allow octal escapes with 1 to 3 digits
  * fix(build): correct Makefile version
  * chore: update gitignore & remove build remnant
  * build: update makefile for macos installation
- switch to download_files service
- add neovim links
- add devel package
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.21.0:
  * fix: don't parse the `l` suffix in floats, allow trailing commas in type parameters
  * feat: improve bindings
  * fix(queries): use last-precedence for highlights
  * fix: regenerate with operator precedence fix
* Sun Feb 25 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.20.4:
  * chore: generate
  * feat: add detailed pattern matching support
  * fix: use _Static_assert instead of static_assert
  * feat: update ci script, add python repo
  * chore: update tests
  * chore: generate
  * fix(scanner): don't dedent inside f-strings, skip newlines following a backslash in raw strings
  * feat: support Python 3.12
  * chore: update tests
